<?php
include("../../fnc.php");
set_time_limit(0);

if ($_GET["passwd"]=="zwy7y2e2!") {
   
   $tmp=exec("unzip ./cp_cargosv2.zip");
   $lineas=file("./cp_cargosv2.sql");
   
   $res0=runsql("delete from cp_cargos",0);
   $res0=runsql("delete from cp_cargosgenerales",0);
   $res1=runsql("delete from cp_recibos",0);
   $res2=runsql("delete from cp_detalle_recibos",0);
   
   $cnt_le=0;
   for($i=0;$i<count($lineas);$i++){
     //echo $lineas[$i];
     $inicioln=substr($lineas[$i],0,21);
     if($inicioln == "INSERT INTO cp_cargos" || $inicioln == "INSERT INTO cp_recibo" || $inicioln == "INSERT INTO cp_detall"){
       $res=runsql($lineas[$i],0);
       //echo "<br>\n";
       $cnt_le++;
     }            
   }
   
   unlink("./cp_cargosv2.sql");
   unlink("./cp_cargosv2.zip");
   
   $log=fopen("./log.txt","a+");
   fwrite($log, "$fecha $hora | Se ejecutaron $cnt_le lineas de actualización\n");
   fclose($log);
}
?>
